apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    oceanbox.io/expose: internal
  name: slurm-web-agent
  namespace: slurm-web
spec:
  ingressClassName: nginx
  rules:
  - host: slurm-agent.ekman.oceanbox.io
    http:
      paths:
      - backend:
          service:
            name: slurm-web-agent
            port:
              number: 80
        path: /
        pathType: ImplementationSpecific
  tls:
  - hosts:
    - slurm-agent.ekman.oceanbox.io
    secretName: agent-tls
